%% diego 3000ft
tempo=VarName1-VarName1(1);
TAS=VarName8*0.514444;
quota=VarName2;
deltae=VarName12;
T=VarName12+237.15;
inizio=18001;
fine= 19521;


% figure(1)
% plot(tempo,TAS)
% xlabel('t [s]')
% ylabel('TAS [m/s]')
% grid on
% figure(2)
% plot(tempo,quota)
% xlabel('t[s]')
% ylabel('H [m]')
% grid on
% figure(3)
% plot(tempo,deltae)


%find indice dal tempo
for i=inizio:1:fine
    if tempo(i)==1220
        casper=i;
    end 
end




rho_sl  = 1.225;               % Densità aria a livello del mare [kg/m^3]
T_sl    = 288.15;                  % Temperatura a livello del mare [K]
a       = -0.0065;             % Gradiente termico [K/m]
h = quota./3.28;

% Valutazione della temperatura e della densita' al variare della quota (fino a tropopausa)
for  i = 1:length(h)
T_s(i)     = T_sl + a.*h(i);
rho_s(i)   = rho_sl.*(T_s(i)./T_sl).^4.25;
end
figure(1)
plot(tempo(inizio:fine),TAS(inizio:fine))
xlabel('t [s]')
ylabel('TAS [m/s]')
grid on
figure(2)
plot(tempo(inizio:fine),quota(inizio:fine)./3.28)
xlabel('t[s]')
ylabel('H [m]')
grid on
rpm=VarName9;
figure(3)
plot(tempo(inizio:fine),T(inizio:fine))
xlabel('time [s]')
ylabel('T [K]')
hold on
plot(tempo(inizio:fine),T_s(inizio:fine))
legend('T_{test}', 'T_{stand}')
grid on
%prove a 4000 ft andrea paperino 15035 a 17736 
%acce è tra 16284:17516
TAS_a=TAS(inizio:fine);
tempo_a=tempo(inizio:fine);
T_out=T(inizio:fine);
T_s=T_s(inizio:fine);
T_s=T_s';
%funzione che interpola 

x=tempo_a;
v_TAS= -0.004164.*x.^2+10.07.*x-6019;
a_TAS=-0.004164.*2.*x+10.07;

ROC= a_TAS.*v_TAS./9.81;
ROC_s=ROC.*T_out./T_s-(11)/100.*T_out./T_s;

V_fdc=40:1:70;

%Vx
m_vett=ROC_s./v_TAS;
i=1;
while v_TAS(i)<max(v_TAS)
m=ROC_s(i)/v_TAS(i);
if m==max(m_vett)
    Vx=v_TAS(i)
end
if ROC_s(i)==max(ROC_s)
    Vy=v_TAS(i)
end

i=i+1;
end

ROCfdc=[ 5.3889e+00
   5.3690e+00
   5.3411e+00
   5.3047e+00
   5.2596e+00
   5.2055e+00
   5.1422e+00
   5.0819e+00
   5.0164e+00
   4.9418e+00
   4.8580e+00
   4.7649e+00
   4.6622e+00
   4.5528e+00
   4.4480e+00
   4.3340e+00
   4.2106e+00
   4.0779e+00
   3.9355e+00
   3.7835e+00
   3.6310e+00
   3.4761e+00
   3.3117e+00
   3.1379e+00
   2.9544e+00
   2.7612e+00
   2.5581e+00
   2.3597e+00
   2.1523e+00
   1.9352e+00
   1.7083e+00

];
figure(5)
plot(v_TAS,ROC)
grid on
hold on
plot(v_TAS,ROC_s)
grid on 
plot(V_fdc,ROCfdc)
legend('ROC_{test}', 'ROC_{sta.}', 'ROC_{fdc}')
xlabel('TAS [m/s]')
ylabel('ROC [m/s]')
title('ROC at 915m  5500 rpm')
%% 4000ft

tempo=VarName1-VarName1(1);
TAS=VarName8*0.514444;
quota=VarName2;
deltae=VarName12;
T=VarName12+237.15;
inizio=  21441;
fine=  22561;


% figure(1)
% plot(tempo,TAS)
% 
% figure(2)
% plot(tempo,quota)
% 
% figure(3)
% plot(tempo,deltae)



%find indice dal tempo
for i=inizio:1:fine
    if tempo(i)==1410
        casper=i;
    end 
end




rho_sl  = 1.225;               % Densità aria a livello del mare [kg/m^3]
T_sl    = 288.15;                  % Temperatura a livello del mare [K]
a       = -0.0065;             % Gradiente termico [K/m]
h = quota./3.28;

% Valutazione della temperatura e della densita' al variare della quota (fino a tropopausa)
for  i = 1:length(h)
T_s(i)     = T_sl + a.*h(i);
rho_s(i)   = rho_sl.*(T_s(i)./T_sl).^4.25;
end
figure(1)
plot(tempo(inizio:fine),TAS(inizio:fine))
xlabel('t [s]')
ylabel('TAS [m/s]')
grid on
figure(2)
plot(tempo(inizio:fine),quota(inizio:fine)./3.28)
xlabel('t[s]')
ylabel('H [m]')
grid on
rpm=VarName9;
figure(3)
plot(tempo(inizio:fine),deltae(inizio:fine))




%prove a 4000 ft andrea paperino 15035 a 17736 
%acce è tra 16284:17516
TAS_a=TAS(inizio:fine);
tempo_a=tempo(inizio:fine);
T_out=T(inizio:fine);
T_s=T_s(inizio:fine);
T_s=T_s';
%funzione che interpola 

x=tempo_a;
v_TAS= -0.007362.*x.^2+ 20.66.*x-1.442e+04;
a_TAS=-0.007362.*2.*x+ 20.66;

ROC= a_TAS.*v_TAS./9.81;
ROC_s=ROC.*T_out./T_s-(35)/75.*T_out./T_s;

V_fdc=45:1:75;

%Vx
m_vett=ROC_s./v_TAS;
i=1;
while v_TAS(i)<max(v_TAS)
m=ROC_s(i)/v_TAS(i);
if m==max(m_vett)
    Vx=v_TAS(i)
end
if ROC_s(i)==max(ROC_s)
    Vy=v_TAS(i)
end

i=i+1;
end

ROCfdc=[ 5.2500e+00
   5.2302e+00
   5.2028e+00
   5.1674e+00
   5.1236e+00
   5.0712e+00
   5.0100e+00
   4.9518e+00
   4.8885e+00
   4.8165e+00
   4.7355e+00
   4.6455e+00
   4.5463e+00
   4.4405e+00
   4.3393e+00
   4.2291e+00
   4.1099e+00
   3.9814e+00
   3.8438e+00
   3.6967e+00
   3.5491e+00
   3.3992e+00
   3.2402e+00
   3.0719e+00
   2.8942e+00
   2.7071e+00
   2.5105e+00
   2.3183e+00
   2.1174e+00
   1.9071e+00
   1.6873e+00
];
figure(5)
plot(v_TAS,ROC)
hold on
plot(v_TAS,ROC_s)
grid on 
plot(V_fdc,ROCfdc)
legend('ROC_{test}', 'ROC_{sta.}', 'ROC_{fdc}')
xlabel('TAS [m/s]')
ylabel('ROC [m/s]')
title('ROC at 1220m  5500 rpm')
%% 5000
tempo=VarName1-VarName1(1);
TAS=VarName8*0.514444;
quota=VarName2;
deltae=VarName12;
T=VarName12+237.15;
inizio=  24801;
fine=  25761;


% figure(1)
% plot(tempo,T)
% 
% figure(2)
% plot(tempo,quota)
% 
% figure(3)
% plot(tempo,deltae)


%find indice dal tempo
for i=inizio:1:fine
    if tempo(i)==1610
        casper=i;
    end 
end




rho_sl  = 1.225;               % Densità aria a livello del mare [kg/m^3]
T_sl    = 288.15;                  % Temperatura a livello del mare [K]
a       = -0.0065;             % Gradiente termico [K/m]
h = quota./3.28;

% Valutazione della temperatura e della densita' al variare della quota (fino a tropopausa)
for  i = 1:length(h)
T_s(i)     = T_sl + a.*h(i);
rho_s(i)   = rho_sl.*(T_s(i)./T_sl).^4.25;
end
figure(1)
plot(tempo(inizio:fine),TAS(inizio:fine))
xlabel('t [s]')
ylabel('TAS [m/s]')
grid on
figure(2)
plot(tempo(inizio:fine),quota(inizio:fine)./3.28)
xlabel('t[s]')
ylabel('H [m]')
grid on
rpm=VarName9;
figure(3)
plot(tempo(inizio:fine),rpm(inizio:fine))




%prove a 4000 ft andrea paperino 15035 a 17736 
%acce è tra 16284:17516
TAS_a=TAS(inizio:fine);
tempo_a=tempo(inizio:fine);
T_out=T(inizio:fine);
T_s=T_s(inizio:fine);
T_s=T_s';
%funzione che interpola 

x=tempo_a;
v_TAS= -0.006598.*x.^2+ 21.29.*x-1.711e+04;
a_TAS=-0.006598.*2.*x+ 21.29;

ROC= a_TAS.*v_TAS./9.81;
ROC_s=ROC.*T_out./T_s-(10)/70.*T_out./T_s;

V_fdc=35:1:65;

%Vx
m_vett=ROC_s./v_TAS;
i=1;
while v_TAS(i)<max(v_TAS)
m=ROC_s(i)/v_TAS(i);
if m==max(m_vett)
    Vx=v_TAS(i)
end
if ROC_s(i)==max(ROC_s)
    Vy=v_TAS(i)
end

i=i+1;
end

ROCfdc=[  5.1789e+00
   5.1741e+00
   5.1661e+00
   5.1534e+00
   5.1350e+00
   5.1145e+00
   5.0946e+00
   5.0676e+00
   5.0329e+00
   4.9904e+00
   4.9396e+00
   4.8802e+00
   4.8240e+00
   4.7628e+00
   4.6933e+00
   4.6151e+00
   4.5281e+00
   4.4323e+00
   4.3300e+00
   4.2322e+00
   4.1258e+00
   4.0105e+00
   3.8863e+00
   3.7532e+00
   3.6109e+00
   3.4681e+00
   3.3232e+00
   3.1693e+00
   3.0065e+00
   2.8345e+00
   2.6534e+00
];
figure(5)
plot(v_TAS,ROC)
hold on
plot(v_TAS,ROC_s)
grid on 
plot(V_fdc,ROCfdc)
legend('ROC_{test}', 'ROC_{sta.}', 'ROC_{fdc}')
xlabel('TAS [m/s]')
ylabel('ROC [m/s]')
title('ROC at 1524m  5230 rpm')

%% 5000 ritorno
tempo=VarName1-VarName1(1);
TAS=VarName8*0.514444;
quota=VarName2;
deltae=VarName12;
T=VarName12+237.15;
inizio=   28721;
fine= 29761;


% figure(1)
% plot(tempo,TAS)
% 
% figure(2)
% plot(tempo,quota)
% 
% figure(3)
% plot(tempo,deltae)


%find indice dal tempo
for i=inizio:1:fine
    if tempo(i)==1795
        casper=i;
    end 
end




rho_sl  = 1.225;               % Densità aria a livello del mare [kg/m^3]
T_sl    = 288.15;                  % Temperatura a livello del mare [K]
a       = -0.0065;             % Gradiente termico [K/m]
h = quota./3.28;

% Valutazione della temperatura e della densita' al variare della quota (fino a tropopausa)
for  i = 1:length(h)
T_s(i)     = T_sl + a.*h(i);
rho_s(i)   = rho_sl.*(T_s(i)./T_sl).^4.25;
end
figure(1)
plot(tempo(inizio:fine),TAS(inizio:fine))
xlabel('t [s]')
ylabel('TAS [m/s]')
grid on
figure(2)
plot(tempo(inizio:fine),quota(inizio:fine)./3.28)
xlabel('t[s]')
ylabel('H [m]')
grid on
rpm=VarName9;
figure(3)
plot(tempo(inizio:fine),rpm(inizio:fine))




%prove a 4000 ft andrea paperino 15035 a 17736 
%acce è tra 16284:17516
TAS_a=TAS(inizio:fine);
tempo_a=tempo(inizio:fine);
T_out=T(inizio:fine);
T_s=T_s(inizio:fine);
T_s=T_s';
%funzione che interpola 

x=tempo_a;
v_TAS=  -0.009727.*x.^2+ 35.99  .*x-3.323e+04 ;
a_TAS= -0.009727.*2.*x+ 35.99;

ROC= a_TAS.*v_TAS./9.81;
ROC_s=ROC.*T_out./T_s-(35)/70.*T_out./T_s;

V_fdc=35:1:65;

%Vx
m_vett=ROC_s./v_TAS;
i=1;
while v_TAS(i)<max(v_TAS)
m=ROC_s(i)/v_TAS(i);
if m==max(m_vett)
    Vx=v_TAS(i)
end
if ROC_s(i)==max(ROC_s)
    Vy=v_TAS(i)
end

i=i+1;
end

ROCfdc=[  
   5.1789e+00
   5.1741e+00
   5.1661e+00
   5.1534e+00
   5.1350e+00
   5.1145e+00
   5.0946e+00
   5.0676e+00
   5.0329e+00
   4.9904e+00
   4.9396e+00
   4.8802e+00
   4.8240e+00
   4.7628e+00
   4.6933e+00
   4.6151e+00
   4.5281e+00
   4.4323e+00
   4.3300e+00
   4.2322e+00
   4.1258e+00
   4.0105e+00
   3.8863e+00
   3.7532e+00
   3.6109e+00
   3.4681e+00
   3.3232e+00
   3.1693e+00
   3.0065e+00
   2.8345e+00
   2.6534e+00
];
figure(5)
plot(v_TAS,ROC)
hold on
plot(v_TAS,ROC_s)
grid on 
plot(V_fdc,ROCfdc)
legend('ROC_{test}', 'ROC_{sta.}', 'ROC_{fdc}')
xlabel('TAS [m/s]')
ylabel('ROC [m/s]')
title('ROC at 1524m  5500 rpm')
%% 4000 ritorno

tempo=VarName1-VarName1(1);
TAS=VarName8*0.514444;
quota=VarName2;
deltae=VarName12;
T=VarName12+237.15;
inizio=    31681;
fine=  32801;


% figure(1)
% plot(tempo,TAS)
% 
% figure(2)
% plot(tempo,quota)
% 
% figure(3)
% plot(tempo,deltae)


%find indice dal tempo
for i=inizio:1:fine
    if tempo(i)==2050
        casper=i;
    end 
end




rho_sl  = 1.225;               % Densità aria a livello del mare [kg/m^3]
T_sl    = 288.15;                  % Temperatura a livello del mare [K]
a       = -0.0065;             % Gradiente termico [K/m]
h = quota./3.28;

% Valutazione della temperatura e della densita' al variare della quota (fino a tropopausa)
for  i = 1:length(h)
T_s(i)     = T_sl + a.*h(i);
rho_s(i)   = rho_sl.*(T_s(i)./T_sl).^4.25;
end
figure(1)
plot(tempo(inizio:fine),TAS(inizio:fine))
xlabel('t [s]')
ylabel('TAS [m/s]')
grid on
figure(2)
plot(tempo(inizio:fine),quota(inizio:fine)./3.28)
xlabel('t[s]')
ylabel('H [m]')
grid on
rpm=VarName9;
figure(3)
plot(tempo(inizio:fine),rpm(inizio:fine))




%prove a 4000 ft andrea paperino 15035 a 17736 
%acce è tra 16284:17516
TAS_a=TAS(inizio:fine);
tempo_a=tempo(inizio:fine);
T_out=T(inizio:fine);
T_s=T_s(inizio:fine);
T_s=T_s';
%funzione che interpola 

x=tempo_a;
v_TAS=  -0.006235.*x.^2+ 25.64.*x-2.628e+04 ;
a_TAS= -0.006235.*2.*x+ 25.64;

ROC= a_TAS.*v_TAS./9.81;
ROC_s=ROC.*T_out./T_s-(30)/70.*T_out./T_s;

V_fdc=45:1:75;

%Vx
m_vett=ROC_s./v_TAS;
i=1;
while v_TAS(i)<max(v_TAS)
m=ROC_s(i)/v_TAS(i);
if m==max(m_vett)
    Vx=v_TAS(i)
end
if ROC_s(i)==max(ROC_s)
    Vy=v_TAS(i)
end

i=i+1;
end

ROCfdc=[ 5.2500e+00
   5.2302e+00
   5.2028e+00
   5.1674e+00
   5.1236e+00
   5.0712e+00
   5.0100e+00
   4.9518e+00
   4.8885e+00
   4.8165e+00
   4.7355e+00
   4.6455e+00
   4.5463e+00
   4.4405e+00
   4.3393e+00
   4.2291e+00
   4.1099e+00
   3.9814e+00
   3.8438e+00
   3.6967e+00
   3.5491e+00
   3.3992e+00
   3.2402e+00
   3.0719e+00
   2.8942e+00
   2.7071e+00
   2.5105e+00
   2.3183e+00
   2.1174e+00
   1.9071e+00
   1.6873e+00
];
figure(5)
plot(v_TAS,ROC)
hold on
plot(v_TAS,ROC_s)
grid on 
plot(V_fdc,ROCfdc)
legend('ROC_{test}', 'ROC_{sta.}', 'ROC_{fdc}')
xlabel('TAS [m/s]')
ylabel('ROC [m/s]')
title('ROC at 1220m  4300 rpm')

%% 3000 ritorno

tempo=VarName1-VarName1(1);
TAS=VarName8*0.514444;
quota=VarName2;
deltae=VarName12;
T=VarName12+237.15;
inizio=     38561;
fine=  39681;


% figure(1)
% plot(tempo,TAS)
% 
% figure(2)
% plot(tempo,quota)
% 
% figure(3)
% plot(tempo,deltae)


%find indice dal tempo
for i=inizio:1:fine
    if tempo(i)==2480
        casper=i;
    end 
end



rho_sl  = 1.225;               % Densità aria a livello del mare [kg/m^3]
T_sl    = 288.15;                  % Temperatura a livello del mare [K]
a       = -0.0065;             % Gradiente termico [K/m]
h = quota./3.28;

% Valutazione della temperatura e della densita' al variare della quota (fino a tropopausa)
for  i = 1:length(h)
T_s(i)     = T_sl + a.*h(i);
rho_s(i)   = rho_sl.*(T_s(i)./T_sl).^4.25;
end
figure(1)
plot(tempo(inizio:fine),TAS(inizio:fine))
xlabel('t [s]')
ylabel('TAS [m/s]')

figure(2)
plot(tempo(inizio:fine),quota(inizio:fine)./3.28)
xlabel('t[s]')
ylabel('H [m]')

rpm=VarName9;
figure(3)
plot(tempo(inizio:fine),rpm(inizio:fine))




%prove a 4000 ft andrea paperino 15035 a 17736 
%acce è tra 16284:17516
TAS_a=TAS(inizio:fine);
tempo_a=tempo(inizio:fine);
T_out=T(inizio:fine);
T_s=T_s(inizio:fine);
T_s=T_s';
%funzione che interpola 

x=tempo_a;
v_TAS=   -0.007402.*x.^2+  36.63.*x-4.525e+04 ;
a_TAS=  -0.007402.*2.*x+  36.63;

ROC= a_TAS.*v_TAS./9.81;
ROC_s=ROC.*T_out./T_s-(12)/70.*T_out./T_s;

V_fdc=35:1:67;

%Vx
m_vett=ROC_s./v_TAS;
i=1;
while v_TAS(i)<max(v_TAS)
m=ROC_s(i)/v_TAS(i);
if m==max(m_vett)
    Vx=v_TAS(i)
end
if ROC_s(i)==max(ROC_s)
    Vy=v_TAS(i)
end

i=i+1;
end

ROCfdc=[ 3.4990e+00
   3.4619e+00
   3.4289e+00
   3.3936e+00
   3.3539e+00
   3.3091e+00
   3.2583e+00
   3.2078e+00
   3.1536e+00
   3.0927e+00
   3.0246e+00
   2.9493e+00
   2.8718e+00
   2.7917e+00
   2.7041e+00
   2.6088e+00
   2.5057e+00
   2.3983e+00
   2.2895e+00
   2.1728e+00
   2.0482e+00
   1.9155e+00
   1.7766e+00
   1.6372e+00
   1.4897e+00
   1.3341e+00
   1.1701e+00
   9.9816e-01
   8.2637e-01
   6.4627e-01
   4.5777e-01
   2.6075e-01
   5.5135e-02
];
figure(5)
plot(v_TAS,ROC)
hold on
plot(v_TAS,ROC_s)
grid on 
plot(V_fdc,ROCfdc)
legend('ROC_{test}', 'ROC_{sta.}', 'ROC_{fdc}')
xlabel('TAS [m/s]')
ylabel('ROC [m/s]')
title('ROC at 915m  3450 rpm')

%% 3000 ritorno

tempo=VarName1-VarName1(1);
TAS=VarName8*0.514444;
quota=VarName2;
deltae=VarName12;
T=VarName12+237.15;
inizio=     38561;
fine=  39681;


% figure(1)
% plot(tempo,TAS)
% grid on
% figure(2)
% plot(tempo,quota)
% grid on
% figure(3)
% plot(tempo,deltae)

%find indice dal tempo
for i=inizio:1:fine
    if tempo(i)==2480
        casper=i;
    end 
end



rho_sl  = 1.225;               % Densità aria a livello del mare [kg/m^3]
T_sl    = 288.15;                  % Temperatura a livello del mare [K]
a       = -0.0065;             % Gradiente termico [K/m]
h = quota./3.28;

% Valutazione della temperatura e della densita' al variare della quota (fino a tropopausa)
for  i = 1:length(h)
T_s(i)     = T_sl + a.*h(i);
rho_s(i)   = rho_sl.*(T_s(i)./T_sl).^4.25;
end
figure(1)
plot(tempo(inizio:fine),TAS(inizio:fine))
xlabel('t [s]')
ylabel('TAS [m/s]')
grid on
figure(2)
plot(tempo(inizio:fine),quota(inizio:fine)./3.28)
xlabel('t[s]')
ylabel('H [m]')
grid on
rpm=VarName9;
figure(3)
plot(tempo(inizio:fine),deltae(inizio:fine))




%prove a 4000 ft andrea paperino 15035 a 17736 
%acce è tra 16284:17516
TAS_a=TAS(inizio:fine);
tempo_a=tempo(inizio:fine);
T_out=T(inizio:fine);
T_s=T_s(inizio:fine);
T_s=T_s';
%funzione che interpola 

x=tempo_a;
v_TAS=   -0.007402.*x.^2+  36.63.*x-4.525e+04 ;
a_TAS=  -0.007402.*2.*x+  36.63;

ROC= a_TAS.*v_TAS./9.81;
ROC_s=ROC.*T_out./T_s-(12)/70.*T_out./T_s;

V_fdc=35:1:65;

%Vx
m_vett=ROC_s./v_TAS;
i=1;
while v_TAS(i)<max(v_TAS)
m=ROC_s(i)/v_TAS(i);
if m==max(m_vett)
    Vx=v_TAS(i)
end
if ROC_s(i)==max(ROC_s)
    Vy=v_TAS(i)
end

i=i+1;
end

ROCfdc=[  5.3889e+00
   5.3690e+00
   5.3411e+00
   5.3047e+00
   5.2596e+00
   5.2055e+00
   5.1422e+00
   5.0819e+00
   5.0164e+00
   4.9418e+00
   4.8580e+00
   4.7649e+00
   4.6622e+00
   4.5528e+00
   4.4480e+00
   4.3340e+00
   4.2106e+00
   4.0779e+00
   3.9355e+00
   3.7835e+00
   3.6310e+00
   3.4761e+00
   3.3117e+00
   3.1379e+00
   2.9544e+00
   2.7612e+00
   2.5581e+00
   2.3597e+00
   2.1523e+00
   1.9352e+00
   1.7083e+00];

figure(5)
plot(v_TAS,ROC)
hold on
plot(v_TAS,ROC_s)
grid on 
plot(V_fdc,ROCfdc)
legend('ROC_{test}', 'ROC_{sta.}', 'ROC_{fdc}')
xlabel('TAS [m/s]')
ylabel('ROC [m/s]')
title('ROC at 915m  3450 rpm')